staqlydocs
REST APIAPI referenceChannels

Finish connecting an OAuth platform

Finish connecting an OAuth platform (channels:manage)

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

GET
/v1/channels/oauth/{provider}/callback

Receives the platform's code and state (or error), creates the channel (or reconnects the existing one for the same account) and redirects the browser to the dashboard's /channels/callback/{provider} page with ?channel=<id>, or ?error=<message>.

Authorization

headerAuthorizationBearer <token>

API key (stk_...), or in the Community Edition the access token (stk_local_...)

Path Parameters

provider*string

Query Parameters

code?string
state?string
error?string
error_description?string

Response Body

Redirect to the dashboard's callback page (?channel= or ?error=)

response?stringtext/html
curl -X GET 'https://staqly.example.com/v1/channels/oauth/string/callback'
"string"